Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79368 - E7505 chipset not fully supported and agpgart does not recognize AGP controller
Summary: E7505 chipset not fully supported and agpgart does not recognize AGP controller
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-10 20:40 UTC by Nate Faerber
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:16 UTC


Attachments (Terms of Use)

Description Nate Faerber 2002-12-10 20:40:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Intel's new E7505 chipset has a few controllers that do not have Device ID
entries in pci_ids.h.  One of the controllers is the AGP which is not recognized
by agpgart.

Here is an `lspci -vvv` with my "labeling" (-= =-) included.

-= Chipset Host Controller =-
00:00.0 Host bridge: Intel Corp.: Unknown device 2550 (rev 03)
        Subsystem: XXXX: Unknown device XXXX
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Region 0: Memory at c0000000 (32-bit, prefetchable) [size=128M]
        Capabilities: [40] #09 [0104]
        Capabilities: [a0] AGP version 3.0
                Status: RQ=31 SBA+ 64bit- FW+ Rate=x1,x2,x4
                Command: RQ=0 SBA- AGP+ 64bit- FW- Rate=x4

-= Chipset Host RAS Controller =-
00:00.1 Class ff00: Intel Corp.: Unknown device 2551 (rev 03)
        Subsystem: XXXX: Unknown device XXXX
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-

-= PCI-to-AGP Bridge =-
00:01.0 PCI bridge: Intel Corp.: Unknown device 2552 (rev 03) (prog-if 00
[Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64
        Region 0: Memory at c8000000 (32-bit, prefetchable) [size=128M]
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000f000-00000fff
        Memory behind bridge: b9000000-b9ffffff
        Prefetchable memory behind bridge: d0000000-d40fffff
        BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-

-= Hub Interface_B PCI-to-PCI Bridge =-
00:02.0 PCI bridge: Intel Corp.: Unknown device 2553 (rev 03) (prog-if 00
[Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 32
        Bus: primary=00, secondary=02, subordinate=04, sec-latency=0
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: ba000000-bbffffff
        Prefetchable memory behind bridge: d4100000-dfffffff
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load Red Hat 8.0
2.update kernel
3.lspci -vvv
4.startx
5.less /var/log/messages

Actual Results:  Some devices are unknown.

When you try to start X, agpgart module fails to load because AGP is not
recognized.  You must use agp_try_unsupported=1 to be able to use agpgart module.

Additional info:  This is from a "yet to be released" motherboard but the
chipset will be found on several motherboards soon.

Comment 1 Arjan van de Ven 2002-12-10 20:43:21 UTC
this is actually 2 independent bugs
lspci doesn't get it's info from the kernel at all.....


Comment 2 Nate Faerber 2002-12-10 21:08:45 UTC
It doesn't seem very efficient to submit a bug for pci.ids and pci_ids.h if the
point of the whole thing is to add the device ids.

Do you want me to submit a new bug for agpgart or for lspci?

Comment 3 Alan Cox 2002-12-16 05:25:32 UTC
Intel already did. And some initial AGPGART pieces for future kernels


Comment 4 Bugzilla owner 2004-09-30 15:40:16 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.